org.springframework.data.querydsl.binding

## Interface SingleValueBinding<T extends com.querydsl.core.types.Path<? extends S>,S>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface SingleValueBinding<T extends com.querydsl.core.types.Path<? extends S>,S>

`SingleValueBinding` creates a `Predicate` out of given `Path` and value. Used for specific parameter treatment in `QuerydslBindings`.

Since:
  1.11
Author:
  Christoph Strobl, Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`com.querydsl.core.types.Predicate` `bind(T path, S value)` Returns the predicate to be applied to the given `Path` for the given value.

### Method Detail

#### bind

    com.querydsl.core.types.Predicate bind(T path,
                                           S value)

Returns the predicate to be applied to the given `Path` for the given value. The given value will be the first the first one provided for the given path and converted into the expected type.

Parameters:
  `path` - `Path` to the property. Will not be null.
  `value` - the value that should be bound. Will not be null.
Returns:
  can be null, in which case the binding will not be incorporated in the overall `Predicate` .